edit_agent on the agent; organizations that don't use permission sets checkmanage instead.curl --location --globoff 'https:///api/v2/agents//permissions?agent_version=' \
--header 'X-Authorization-Consistency-Token;' \
--header 'Organization-Id;' \
--header 'Ocp-Apim-Subscription-Key: ' \
--header 'Authorization: Bearer '{
"success": true,
"message": "Agent permissions retrieved successfully",
"data": {
"agent_id": 42,
"agent_name": "Support Assistant",
"project_id": 7,
"project_name": "Customer Care",
"organization_id": 3,
"direct_permissions": {
"users": [
{
"user_id": "15",
"user_name": "Dana Lee",
"email": "[email protected]",
"relations": [
"admin"
]
}
],
"teams": [
{
"team_id": "9",
"team_name": "Support Leads",
"relations": [
"member"
]
}
]
},
"indirect_permissions": {
"users": [
{
"user_id": "21",
"user_name": "Sam Ortiz",
"email": "[email protected]",
"relations": [
"member"
],
"inheritance_source": "project"
}
],
"teams": []
},
"is_public": false
}
}